ru.bitel.bgbilling.modules.tv.access.om.event

## Class OmTvAccountOptionsModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.tv.access.om.event.OmTvAccountOptionsModifyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class OmTvAccountOptionsModifyEvent
      extends QueueEvent

  Задание на изменение текущего набор опций из тарифа на устройстве.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OmTvAccountOptionsModifyEvent()`
    `` | `OmTvAccountOptionsModifyEvent(int moduleId, int contractId, int userId, int deviceId, int tvAccountId, java.util.Set<java.lang.Integer> optionSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDeviceId()`
    `java.util.Set<java.lang.Integer>` | `getOptions()`
    `int` | `getTvAccountId()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `AccountOrderEvent` | `toOmEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess access, ConnectionSet connectionSet, java.util.Date now)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OmTvAccountOptionsModifyEvent

          protected OmTvAccountOptionsModifyEvent()

    - #### OmTvAccountOptionsModifyEvent

          public OmTvAccountOptionsModifyEvent(int moduleId,
                                               int contractId,
                                               int userId,
                                               int deviceId,
                                               int tvAccountId,
                                               java.util.Set<java.lang.Integer> optionSet)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getDeviceId

          public int getDeviceId()

    - #### getTvAccountId

          public int getTvAccountId()

    - #### getOptions

          public java.util.Set<java.lang.Integer> getOptions()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`

    - #### toOmEvent

          public AccountOrderEvent toOmEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess access,
                                             ConnectionSet connectionSet,
                                             java.util.Date now)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`